---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: tgui::Font Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetgui.html">tgui</a></li><li class="navelem"><a class="el" href="classtgui_1_1Font.html">Font</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classtgui_1_1Font-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">tgui::Font Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aaed4ee3eb221c5379222e6c7178f5b1d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaed4ee3eb221c5379222e6c7178f5b1d"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Font.html#aaed4ee3eb221c5379222e6c7178f5b1d">Font</a> ()</td></tr>
<tr class="memdesc:aaed4ee3eb221c5379222e6c7178f5b1d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default constructor which will set the font to nullptr. <br /></td></tr>
<tr class="separator:aaed4ee3eb221c5379222e6c7178f5b1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32061413a239a01dbfbbcaf5aef80e1b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a32061413a239a01dbfbbcaf5aef80e1b"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Font.html#a32061413a239a01dbfbbcaf5aef80e1b">Font</a> (std::nullptr_t)</td></tr>
<tr class="memdesc:a32061413a239a01dbfbbcaf5aef80e1b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor which will explicitly set the font to nullptr. <br /></td></tr>
<tr class="separator:a32061413a239a01dbfbbcaf5aef80e1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6cdd29dfa4e93117bfac7ef95d4ed66d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Font.html#a6cdd29dfa4e93117bfac7ef95d4ed66d">Font</a> (const std::string &amp;id)</td></tr>
<tr class="memdesc:a6cdd29dfa4e93117bfac7ef95d4ed66d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor to create the font from a string (filename by default)  <a href="#a6cdd29dfa4e93117bfac7ef95d4ed66d">More...</a><br /></td></tr>
<tr class="separator:a6cdd29dfa4e93117bfac7ef95d4ed66d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5c0dc1c5b7a43d03fd485636d6c7eb4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Font.html#aa5c0dc1c5b7a43d03fd485636d6c7eb4">Font</a> (const char *id)</td></tr>
<tr class="memdesc:aa5c0dc1c5b7a43d03fd485636d6c7eb4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor to create the font from a string (filename by default)  <a href="#aa5c0dc1c5b7a43d03fd485636d6c7eb4">More...</a><br /></td></tr>
<tr class="separator:aa5c0dc1c5b7a43d03fd485636d6c7eb4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affb5e66643c81db175961d766c4f723b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Font.html#affb5e66643c81db175961d766c4f723b">Font</a> (std::shared_ptr&lt; sf::Font &gt; font)</td></tr>
<tr class="memdesc:affb5e66643c81db175961d766c4f723b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor to share the font directly.  <a href="#affb5e66643c81db175961d766c4f723b">More...</a><br /></td></tr>
<tr class="separator:affb5e66643c81db175961d766c4f723b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3439c66b86cceb823465107a918866c1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Font.html#a3439c66b86cceb823465107a918866c1">Font</a> (const sf::Font &amp;font)</td></tr>
<tr class="memdesc:a3439c66b86cceb823465107a918866c1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor to set a copy of your font.  <a href="#a3439c66b86cceb823465107a918866c1">More...</a><br /></td></tr>
<tr class="separator:a3439c66b86cceb823465107a918866c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56a2a03962904022f9a8dd1cb2fbc11e"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; sf::Font &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Font.html#a56a2a03962904022f9a8dd1cb2fbc11e">getFont</a> () const </td></tr>
<tr class="memdesc:a56a2a03962904022f9a8dd1cb2fbc11e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the underlying SFML font.  <a href="#a56a2a03962904022f9a8dd1cb2fbc11e">More...</a><br /></td></tr>
<tr class="separator:a56a2a03962904022f9a8dd1cb2fbc11e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a6cdd29dfa4e93117bfac7ef95d4ed66d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">tgui::Font::Font </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor to create the font from a string (filename by default) </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">id</td><td>String to pass to the <a class="el" href="classtgui_1_1Deserializer.html" title="Deserialize an settable property. ">Deserializer</a> class to load the font </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aa5c0dc1c5b7a43d03fd485636d6c7eb4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">tgui::Font::Font </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor to create the font from a string (filename by default) </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">id</td><td>String to pass to the <a class="el" href="classtgui_1_1Deserializer.html" title="Deserialize an settable property. ">Deserializer</a> class to load the font </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="affb5e66643c81db175961d766c4f723b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">tgui::Font::Font </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; sf::Font &gt;&#160;</td>
          <td class="paramname"><em>font</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor to share the font directly. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">font</td><td><a class="el" href="classtgui_1_1Font.html">Font</a> to share </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a3439c66b86cceb823465107a918866c1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">tgui::Font::Font </td>
          <td>(</td>
          <td class="paramtype">const sf::Font &amp;&#160;</td>
          <td class="paramname"><em>font</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor to set a copy of your font. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">font</td><td><a class="el" href="classtgui_1_1Font.html">Font</a> to copy </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a56a2a03962904022f9a8dd1cb2fbc11e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;sf::Font&gt; tgui::Font::getFont </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the underlying SFML font. </p>
<dl class="section return"><dt>Returns</dt><dd><a class="el" href="classtgui_1_1Font.html">Font</a> stored in this object </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/TGUI/<a class="el" href="Font_8hpp_source.html">Font.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:43 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
